Foreman - Bug #12652

Cannot change the disk name when provisioning a VMware host
12/01/2015 01:42 PM - Bryan Kearney

Status: Closed
Priority: Normal
Assignee: Chris Roberts
Category: Compute resources - VMware
Target version: 1.15.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.14.1
Bugzilla link: 1273947 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4252
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1273947
Description of problem:

cannot change the HardDisk name when provisioning a vm for vmware compute resource.

Version-Release number of selected component (if applicable):
Sat6.1.3

How reproducible:

Steps to Reproduce:

1. add a vmware compute resource

2. provision a host on this compute resource with a custom HD name

3. Unable to see the custom HD name at vmware end

Actual results:
Unable to see the custom HD name in the vmware

Expected results:
Should be able to see the custom HD name at the vmware side.

Additional info:

Associated revisions

Revision a3213b1b - 02/07/2017 09:10 AM - Chris Roberts

Fixes #12652 - VMware Volume name is readonly

History

#1 - 12/02/2015 02:55 AM - Dominic Cleal

- Subject changed from cannot change the HardDisk name when provisioning a vm for vmware compute resource to Cannot change the disk name
when provisioning a VMware host

- Category changed from Compute resources to Compute resources - VMware

Using image or network provisioning? The two methods create VMs in very different ways.

#2 - 02/28/2016 10:06 AM - Angelo Lisco

Working in a big vmware environment, | can tell you that there is no way to customize the HDD name of a VM on the VMware side.
| know this is possible in RHEV/Ovirt (and maybe other CR managed by fog) but not in VMware.
So, this bug should be modified to something like "Disable volume name customization when a VMware CR is choosen".

For reference, go to:
https://pubs.vmware.com/vsphere-55/index.jsp#com.vmware.vsphere.hostclient.doc/GUID-2CFBCCD5-B53D-42CD-AECD-FBC46AAC4ACS.html?re
sultof=%2522%2568%2561%2572%2564%2522%2520%2522%2564%2569%257 3%2560%2522%252
https://bugzilla.redhat.com/show_bug.cgi?id=1273947
https://pubs.vmware.com/vsphere-55/index.jsp#com.vmware.vsphere.hostclient.doc/GUID-2CFBCCD5-B53D-42CD-AECD-FBC46AAC4AC5.html?resultof=%2522%2568%2561%2572%2564%2522%2520%2522%2564%2569%2573%256b%2522%2520
https://pubs.vmware.com/vsphere-55/index.jsp#com.vmware.vsphere.hostclient.doc/GUID-2CFBCCD5-B53D-42CD-AECD-FBC46AAC4AC5.html?resultof=%2522%2568%2561%2572%2564%2522%2520%2522%2564%2569%2573%256b%2522%2520

#3 - 02/02/2017 11:52 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Chris Roberts

- Pull request https://github.com/theforeman/foreman/pull/4252 added

#4 - 02/02/2017 11:52 AM - Chris Roberts

- Target version set to 163

#5 - 02/07/2017 10:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset a3213b1b4571f26a7427e3d43223cc696¢3f0bf9.

#7 - 02/08/2017 06:56 AM - Dominic Cleal

- translation missing: en.field_release set to 209
